AW: AW: Cannot execute grub-install

Bruce Dubbs bruce.dubbs at gmail.com
Fri Jun 18 09:47:34 PDT 2010


Michael Vahl wrote:

> After a step-by-step execution of grub-install, I determined that the script
> grub-mkconfig_lib in /usr/lib/grub/ (line 35 of grub-install) doesn't have
> the appropriate filemode (changed to 755). 

What were the permissions?  They should be 644.  A sourced file dies not 
need an executable bit.  You should be running from within chroot as 
root at this point.

> After modification an execution
> of grub-mkconfig_lib caused the following stdout: /tools/bin/bash: warning:
> setlocale: LC_ALL: cannot change locale (..). Anyway, I guess that the
> mistake was done far earlier...

Yes, the mistake was earlier.  At this point, nothing should be 
referencing /tools.

LC_ALL should be POSIX, so a change really isn't needed, but locales are 
  installed in glibc at 6.9.

    -- Bruce



More information about the lfs-support mailing list